<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="css/style.css">
    <title>Document</title>
</head>

<body>
    <h1>flex-direction: row</h1>
    <div class="container row">
        <!-- por padrão os itens flex ja estão em linha/row -->
        <div class="item">1</div>
        <div class="item">2</div>
        <div class="item">3</div>
    </div>

    <h1>flex-direction: row-reverse</h1>
    <div class="container row-reverse">
        <!-- inverte a ordem dos itens -->
        <div class="item">1</div>
        <div class="item">2</div>
        <div class="item">3</div>
    </div>

    <h1>flex-direction: column</h1>
    <div class="container column">
        <!-- os itens ficam somente em uma coluna -->
        <div class="item">1</div>
        <div class="item">2</div>
        <div class="item">3</div>
    </div>

    <h1>flex-direction: column-reverse</h1>
    <div class="container column-reverse">
        <!-- os itens continuam somente em uma coluna, mas em uma ordem reversa -->
        <div class="item">1</div>
        <div class="item">2</div>
        <div class="item">3</div>
    </div>
</body>

</html>